--- title: "ListRecentCertChanges" slug: "security-certificatemanager-listrecentcertchanges" updated: 2026-10-08T04:18:37Z published: 2026-10-08T04:18:37Z canonical: "api.ncloud-docs.com/security-certificatemanager-listrecentcertchanges" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # ListRecentCertChanges Available in Classic and VPC Get the list of certificates whose status changed during the specified period (minutes or seconds). ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v2/certificate/recentChanges | ### Request headers For information about the request headers common to all Certificate Manager APIs, see [Certificate Manager request headers](/docs/en/security-certificatemanager#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `minutes` | Integer | Conditional | Limit results to requests whose status has changed in the last N minutes. - 1-10080 | | `seconds` | Integer | Conditional | Limit results to requests whose status has changed in the last N seconds. - 1-604800 | | `startDateTime` | String | Conditional | Query start date and time - Must be specified along with `endDateTime`. | | `endDateTime` | String | Conditional | Query end date and time - Must be specified along with `startDateTime`. | At least one of `minutes`, `seconds`, or (`startDateTime` + `endDateTime`) must be specified. If all are omitted, the request will be rejected with response code `2101`. If you specify both `minutes` and `seconds`, 0 records will be returned without an error, so specify only one. ### Request example The request example is as follows: ``` curl --location --request GET 'https://certificatemanager.apigw.ntruss.com/api/v2/certificate/recentChanges?minutes=60' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --header 'accept: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `returnCode` | String | - | Response code | | `returnMessage` | String | - | Response message | | `totalCount` | Integer | - | Total number of lists searched | | `orders` | Array | - | Request list: [orders](/docs/en/security-certificatemanager-listrecentcertchanges#orders) | #### `orders` The following describes `orders`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `orderId` | String | - | Organization number | | `certificateId` | Integer | - | Certificate number | | `status` | String | - | Validation status - `Normal` \| `Ongoing` \| `Validation timed out` - `Normal`: Validation completed - `Ongoing`: Validation in progress - `Validation timed out`: Validation timeout | ### Response status codes For information about the response status codes common to all Certificate Manager APIs, see [Certificate Manager response status codes](/docs/en/security-certificatemanager#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "returnCode": "0", "returnMessage": "Success", "totalCount": 2, "orders": [ { "orderId": "410", "certificateId": 55991, "status": "Ongoing" }, { "orderId": "447", "certificateId": 55990, "status": "Ongoing" } ] } ```